﻿function PoisonReminderFu:PoisonUpdate()
if IsResting() or UnitIsDeadOrGhost("player") then return end
local hasMainHandEnchant, _, _, hasOffHandEnchant = GetWeaponEnchantInfo()
if hasMainHandEnchant then self.HasMainHand = true end
if hasOffHandEnchant then self.HasOffHand = true end
if not hasMainHandEnchant and self.HasMainHand then
self:ScheduleLeaveCombatAction(PoisonReminderFu.Warning, self, 16)
self.HasMainHand = nil
end
if not hasOffHandEnchant and self.HasOffHand then
self:ScheduleLeaveCombatAction(PoisonReminderFu.Warning, self, 17)
self.HasOffHand = nil
end
end 

function PoisonReminderFu:Warning(hand)
if hand == 16 then
	if self.db.profile.last and self.db.profile.MainHandPoison then
		poison = self.db.profile.MainHandPoison
	else
		poison = self.db.profile.preset
	end
	self:MainHand(PoisonReminderFu:GetPlace(poison))
	self.framesm.anchor:Show()
	if self.db.profile.keep then self:ScheduleEvent(function() self.HasMainHand = true end, 400) end
elseif hand == 17 then 
	if self.db.profile.last and self.db.profile.OffHandPoison then
		poison = self.db.profile.OffHandPoison
	else
		poison = self.db.profile.preset
	end
	self:OffHand(PoisonReminderFu:GetPlace(poison))
	self.frameso.anchor:Show()
	if self.db.profile.keep then self:ScheduleEvent(function() self.HasOffHand = true end, 400) end
end
end

function PoisonReminderFu:CastPoison()
local search
	search = ITEMENCHANTMENTADDSELFSELF
	search = gsub(search, "%%s", "(.+)")
	local _, _, Poison, Weapon = string.find(arg1, search)
	if (Poison and Weapon) then
		if string.find(GetInventoryItemLink("player", 16), Weapon) then
			self.db.profile.MainHandPoison = Poison
		elseif string.find(GetInventoryItemLink("player", 17), Weapon) then
			self.db.profile.OffHandPoison = Poison
		end
	end 
end 

function PoisonReminderFu:GetPlace(SearchString)
  for bag=0,4 do
    for slot=1,GetContainerNumSlots(bag) do
      if (GetContainerItemLink(bag,slot)) then
        if (string.find(GetContainerItemLink(bag,slot), SearchString)) then
			return bag, slot
        end
      end
    end
  end
end 